onClipEvent(load){
   hexencode = function(thevalue)
   {
      var _loc1_ = thevalue;
      if(_loc1_ >= 10)
      {
         return chr(65 + _loc1_ - 10);
      }
      return chr(48 + _loc1_);
   };
   hexdecode = function(thecharacter)
   {
      var _loc1_ = ord(thecharacter);
      if(_loc1_ >= 97)
      {
         return 10 + _loc1_ - 97;
      }
      if(_loc1_ >= 65)
      {
         return 10 + _loc1_ - 65;
      }
      return _loc1_ - 48;
   };
   urlencode = function(astring)
   {
      var thestring = String(astring);
      var _loc2_ = new String("");
      var _loc3_ = 0;
      while(_loc3_ < thestring.length)
      {
         var _loc1_ = ord(thestring.charAt(_loc3_));
         if(_loc1_ >= 48 && _loc1_ <= 57 || _loc1_ >= 65 && _loc1_ <= 90 || _loc1_ >= 97 && _loc1_ <= 122 || _loc1_ == 95 || _loc1_ == 45 || _loc1_ == 46)
         {
            _loc2_ = _loc2_.concat(chr(_loc1_));
         }
         else if(_loc1_ == 32)
         {
            _loc2_ = _loc2_.concat("+");
         }
         else
         {
            _loc2_ = _loc2_.concat("%");
            var firstdigit = 0;
            while(_loc1_ >= 16)
            {
               firstdigit++;
               _loc1_ -= 16;
            }
            _loc2_ = _loc2_.concat(hexencode(firstdigit));
            _loc2_ = _loc2_.concat(hexencode(_loc1_));
         }
         _loc3_ = _loc3_ + 1;
      }
      return _loc2_;
   };
   urldecode = function(astring)
   {
      var thestring = String(astring);
      var _loc2_ = new String("");
      var _loc1_ = 0;
      while(_loc1_ < thestring.length)
      {
         var _loc3_ = thestring.charAt(_loc1_);
         if(_loc3_ == "%")
         {
            var hex = thestring.substr(_loc1_ + 1,2);
            _loc1_ += 2;
            var charactercode = hexdecode(hex.charAt(0)) * 16 + hexdecode(hex.charAt(1));
            _loc2_ = _loc2_.concat(chr(charactercode));
         }
         else if(_loc3_ == "+")
         {
            _loc2_ = _loc2_.concat(" ");
         }
         else
         {
            _loc2_ = _loc2_.concat(_loc3_);
         }
         _loc1_ = _loc1_ + 1;
      }
      return _loc2_;
   };
   md5hash = function(thedata, thepassword, decode)
   {
      var md5key = new Array(255);
      var _loc1_ = new Array(255);
      var data = new String(thedata);
      var password = new String(thepassword);
      var pwd_length = password.length;
      if(decode)
      {
         data = urldecode(data);
      }
      var i;
      var x;
      var i = 0;
      while(i <= 255)
      {
         md5key[i] = ord(password.charAt(i % pwd_length));
         _loc1_[i] = i;
         i++;
      }
      var x = 0;
      var i = 0;
      while(i <= 255)
      {
         x = (x + _loc1_[i] + md5key[i]) % 256;
         var temp_swap = _loc1_[i];
         _loc1_[i] = _loc1_[x];
         _loc1_[x] = temp_swap;
         i++;
      }
      var cipher = new String("");
      var _loc2_ = 0;
      var _loc3_ = 0;
      var i = 0;
      while(i < data.length)
      {
         _loc2_ = (_loc2_ + 1) % 256;
         _loc3_ = (_loc3_ + _loc1_[_loc2_]) % 256;
         var temp = _loc1_[_loc2_];
         _loc1_[_loc2_] = _loc1_[_loc3_];
         _loc1_[_loc3_] = temp;
         var k = _loc1_[(_loc1_[_loc2_] + _loc1_[_loc3_]) % 256];
         var cipherby = ord(data.charAt(i)) ^ k;
         if(cipherby != 0)
         {
            cipher = cipher.concat(urlencode(chr(cipherby)));
         }
         else
         {
            cipher = cipher.concat("%00");
         }
         i++;
      }
      if(decode)
      {
         cipher = urldecode(cipher);
      }
      return cipher;
   };
   initSounds = function()
   {
      var _loc2_ = ["fireball","hitbybag","baghit","bonus","eat","chew","hittop","floorraise","loop","death"];
      var _loc3_ = undefined;
      var _loc1_ = 0;
      while(_loc1_ < _loc2_.length)
      {
         var _loc0_ = null;
         _loc3_ = _root[_loc2_[_loc1_] + "_sound"] = new Sound();
         _loc3_.attachSound(_loc2_[_loc1_]);
         _loc1_ = _loc1_ + 1;
      }
      _root.chew_sound.onSoundComplete = function()
      {
         this.completed = true;
      };
      _root.chew_sound.completed = true;
      _root.loop_sound.start(0,10000);
   };
   initSounds();
   play_chewyshootsafireball_sound = function()
   {
      _root.fireball_sound.start();
   };
   play_chewyhitbybag_sound = function()
   {
      _root.hitbybag_sound.start();
   };
   play_baghitbyfireball_sound = function()
   {
      _root.baghit_sound.start();
   };
   play_bonusbombhitbyfireball_sound = function()
   {
      _root.bonus_sound.start();
   };
   play_chewyeatsachewit_sound = function()
   {
      var _loc1_ = _root;
      _loc1_.eat_sound.start();
      if(_loc1_.chew_sound.completed)
      {
         _loc1_.chew_sound.completed = false;
         _loc1_.chew_sound.start();
      }
   };
   play_chewyhitsthetop_sound = function()
   {
      _root.hittop_sound.start();
   };
   start_floorraising_noise = function()
   {
      _root.floorraise_sound.start();
   };
   stop_floorraising_noise = function()
   {
   };
   play_death_sound = function()
   {
      _root.death_sound.start();
   };
   SCREEN_WIDTH = 400;
   SCREEN_HEIGHT = 520;
   CHEWY_SCALE = 33.333333333333336;
   START_Y = 478;
   CHEWY_WIDTH = 270.8 * CHEWY_SCALE / 100;
   CHEWY_HEIGHT = 377 * CHEWY_SCALE / 100;
   CHEWY_Y_ADJUST = 60;
   CHEWY_X_ADJUST = 0;
   CHEWIT_SCALE = 50;
   MIN_X = 10;
   MAX_X = 390;
   MAX_BAGS = 16;
   MAX_FLAMES = 8;
   MAX_CHEWITS = 32;
   ANIMATION_START_FRAME = 0;
   ANIMATION_END_FRAME = 1;
   ANIMATION_CURRENT_FRAME = 2;
   ANIMATION_FRAMETIME = 3;
   ANIMATION_SPEED = 4;
   IDLE_ANIMATION = 0;
   WALK_ANIMATION = 1;
   HIT_ANIMATION = 2;
   CHEW_IDLE_ANIMATION = 3;
   CHEW_WALK_ANIMATION = 4;
   SUCK_IDLE_ANIMATION = 5;
   SUCK_WALK_ANIMATION = 6;
   FIRE_IDLE_ANIMATION = 7;
   FIRE_WALK_ANIMATION = 8;
   CHEWY_STATE_OK = 0;
   CHEWY_STATE_HIT = 1;
   CHEWY_STATE_CHEWING = 2;
   CHEWY_STATE_FIRING = 3;
   GAMESTATE_NOT_PLAYING = 0;
   GAMESTATE_PLAYING = 1;
   GAMESTATE_GAME_OVER_FADE = 2;
   GAMESTATE_GAME_OVER = 3;
   GAMESTATE_TITLE_SCREEN = 4;
   GAMESTATE_INTRO_SCREEN = 5;
   GAMESTATE_GAME_OVER_HISCORE_ENTRY = 6;
   GAMESTATE_GAME_OVER_HISCORES = 7;
   GAMESTATE_PAUSED = 8;
   GAMESTATE_PAUSED_WAIT = 9;
   GAMESTATE_PLAYING_WAIT = 10;
   CHEWY_FACING_LEFT = 0;
   CHEWY_FACING_RIGHT = 1;
   HIT_TIME_MAXIMUM = 20;
   TOPSPEED = 240;
   _alpha = 0;
   _parent.gamestate = GAMESTATE_NOT_PLAYING;
   _xscale = CHEWY_SCALE;
   _yscale = CHEWY_SCALE;
   resettime = function()
   {
      _parent.starttime = getTimer();
      _parent.lasttime = 0;
   };
   grabtime = function()
   {
      var _loc1_ = _parent;
      _loc1_.thistime = getTimer() - _loc1_.starttime;
      if(_loc1_.lasttime > 0)
      {
         _loc1_.delta = _loc1_.thistime - _loc1_.lasttime;
      }
      else
      {
         _loc1_.delta = 1;
      }
      _loc1_.delta /= 61.25;
      _loc1_.lasttime = _loc1_.thistime;
   };
   getthistime = function()
   {
      return _parent.thistime - _parent.starttime;
   };
   scaletime = function()
   {
      var _loc1_ = getthistime() / (TOPSPEED * 1000);
      if(_loc1_ < 0)
      {
         _loc1_ = 0;
      }
      if(_loc1_ > 1)
      {
         _loc1_ = 1;
      }
      return _loc1_;
   };
   newbagx = function()
   {
      var _loc1_ = 40;
      return MIN_X + _loc1_ + (MAX_X - 2 * _loc1_ - MIN_X) * Math.random();
   };
   getpoints = function()
   {
      var _loc1_ = 1;
      var _loc2_ = 20;
      return Math.Floor(_loc1_ + (_loc2_ - _loc1_) * easeinfastout(scaletime())) * 10;
   };
   updatescore = function(thescore)
   {
      var _loc1_ = _parent;
      if(currentbonusbbomb < bonusbombsat.length && thescore >= bonusbombsat[currentbonusbomb])
      {
         _loc1_.bonusbomb._visible = true;
         _loc1_.bonusbomb.bombtime = 0;
         _loc1_.bonusbomb._x = newbagx();
         _loc1_.bonusbomb._y = -32;
         currentbonusbomb++;
      }
      _loc1_.scoretext.text = "Score " + thescore;
      myformat2 = new TextFormat();
      myformat2.color = 65535;
      myformat2.font = "MarkerFeltWide";
      myformat2.align = "left";
      myformat2.size = 18;
      _loc1_.scoretext.embedFonts = true;
      _loc1_.scoretext.setTextFormat(myformat2);
      _loc1_.scoretext.embedFonts = true;
      myformat1 = new TextFormat();
      myformat1.color = 16777215;
      myformat1.font = "MarkerFeltWide";
      myformat1.align = "left";
      myformat1.size = 18;
      _loc1_.scoretext.embedFonts = true;
      _loc1_.scoretext.setTextFormat(0,5,myformat1);
      _loc1_.scoretext.embedFonts = true;
   };
   addchewitscore = function(c, s, combo)
   {
      var _loc1_ = _parent;
      var _loc2_ = c;
      myformat2 = new TextFormat();
      myformat2.color = 16777215;
      myformat2.font = "MarkerFeltWide";
      myformat2.align = "center";
      myformat2.size = 12;
      _loc1_["chewitscore" + _loc2_]._visible = true;
      _loc1_["chewitscore" + _loc2_].scoretime = 0;
      _loc1_["chewitscore" + _loc2_].text = "+" + s;
      _loc1_["chewitscore" + _loc2_].embedFonts = true;
      _loc1_["chewitscore" + _loc2_].setTextFormat(myformat2);
      _loc1_["chewitscore" + _loc2_].embedFonts = true;
      _loc1_["chewitscore" + _loc2_]._x = _loc1_["chewit" + _loc2_]._x - _loc1_["chewitscore" + _loc2_]._width / 2;
      _loc1_["chewitscore" + _loc2_]._y = _loc1_["chewit" + _loc2_]._y - _loc1_["chewitscore" + _loc2_]._height / 2;
      if(combo > 0)
      {
         _loc1_.comboscore._visible = true;
         _loc1_.comboscore.scoretime = 0;
         _loc1_.comboscore.text = combo + 1 + "x combo!";
         myformat1 = new TextFormat();
         myformat1.color = 16711680;
         myformat1.font = "MarkerFeltWide";
         myformat1.align = "center";
         myformat1.size = 14;
         _loc1_.comboscore.embedFonts = true;
         _loc1_.comboscore.setTextFormat(myformat1);
         _loc1_.comboscore.embedFonts = true;
         _loc1_.comboscore._x = _loc1_["chewit" + _loc2_]._x - _loc1_.comboscore._width / 2;
         _loc1_.comboscore._y = _loc1_["chewitscore" + _loc2_]._y + _loc1_["chewitscore" + _loc2_]._height / 2;
      }
   };
   setdebugtext = function(thetext)
   {
      var _loc1_ = _parent;
      _loc1_.debugtext.text = "" + thetext;
      myformat2 = _loc1_.debugtext.getTextFormat();
      myformat2.color = 16777215;
      myformat2.font = "MarkerFeltWide";
      myformat2.align = "left";
      myformat2.size = 18;
      _loc1_.debugtext.setTextFormat(myformat2);
   };
   chewy_start_y = function()
   {
      return START_Y - CHEWY_HEIGHT / 2 + CHEWY_Y_ADJUST;
   };
   setfloorpos = function()
   {
      _parent.floor_mc._y = START_Y - 4 + base_y - chewy_start_y();
   };
   updatefloor = function()
   {
      var _loc1_ = _parent;
      var _loc2_ = 1;
      if(base_y > desired_base_y)
      {
         if(!_loc1_.floorsoundplaying)
         {
            start_floorraising_noise();
            _loc1_.floorsoundplaying = true;
         }
         base_y -= _loc2_ * _loc1_.delta;
         if(base_y < desired_base_y)
         {
            base_y = desired_base_y;
         }
         if(chewystate != CHEWY_STATE_HIT)
         {
            _Y = base_y;
         }
         setfloorpos();
      }
      else if(_loc1_.floorsoundplaying)
      {
         stop_floorraising_noise();
         _loc1_.floorsoundplaying = false;
      }
   };
   fastineaseout = function(n)
   {
      var _loc1_ = 1 - n;
      return 1 - _loc1_ * _loc1_;
   };
   easeinfastout = function(n)
   {
      return n * n;
   };
   easeineaseout = function(n)
   {
      var _loc1_ = n;
      if(_loc1_ < 0.5)
      {
         return 2 * (_loc1_ * _loc1_);
      }
      return 2 * _loc1_ * (2 - _loc1_) - 1;
   };
   getbagrate = function()
   {
      return 40 - 38 * scaletime();
   };
   bagfallrate = function()
   {
      return (4 + 20 * easeineaseout(scaletime())) * _parent.delta;
   };
   bagcollison = function(c)
   {
      var _loc2_ = c;
      var _loc3_ = _parent;
      var _loc1_ = 0;
      while(_loc1_ < hitarray.length)
      {
         if(_loc3_["bag" + _loc2_].hittest(hitarray[_loc1_][0] + _X,hitarray[_loc1_][1] + _Y))
         {
            return true;
         }
         _loc1_ = _loc1_ + 1;
      }
      return false;
   };
   getmd5password = function()
   {
      var _loc1_ = 17;
      var _loc3_ = [120,80,68,11,30,24,230,225,208,142,255,210,198,67,114,64,37,53,51,18,228,206,212];
      var _loc2_ = new String("");
      i = 0;
      while(i < 23)
      {
         _loc2_ = _loc2_.concat(chr(_loc3_[i] ^ _loc1_));
         _loc1_ = _loc1_ + 19 & 255;
         i++;
      }
      return _loc2_;
   };
   gethiscores = function()
   {
      var _loc1_ = _parent;
      var _loc2_ = getmd5password();
      var _loc3_ = "hashed" + score + "-" + _loc1_.hiscoreentry.myname.text;
      var encrypted = md5hash(_loc3_,_loc2_,false);
      _loc1_.serverconnection.submit = encrypted;
      _loc1_.serverconnection.sendandload("hiscores.php",_loc1_.serverconnection,"POST");
      _loc1_.gamestate = GAMESTATE_GAME_OVER_HISCORES;
      timeinstate = 0;
   };
   updatebags = function()
   {
      var _loc2_ = _parent;
      var BAG_START_Y = -40;
      if(chewystate == CHEWY_STATE_OK || chewystate == CHEWY_STATE_CHEWING || chewystate == CHEWY_STATE_FIRING)
      {
         if(nobags == 0)
         {
            nextbagtime = 0;
         }
         nextbagtime -= _loc2_.delta;
         if(nextbagtime < 0)
         {
            if(!_loc2_["bag" + nextbagno]._visible)
            {
               _loc2_["bag" + nextbagno]._visible = true;
               _loc2_["bag" + nextbagno].canhitchewy = true;
               _loc2_["bag" + nextbagno]._x = newbagx();
               _loc2_["bag" + nextbagno]._y = BAG_START_Y;
               nextbagno++;
               nextbagtime = getbagrate();
               if(nextbagno >= MAX_BAGS)
               {
                  nextbagno = 0;
               }
               nobags++;
            }
         }
      }
      var BAG_OFF_BOTTOM_Y = SCREEN_HEIGHT;
      var _loc1_ = 0;
      while(_loc1_ < MAX_BAGS)
      {
         if(_loc2_["bag" + _loc1_]._visible)
         {
            _loc2_["bag" + _loc1_]._y += bagfallrate();
            if(_loc2_["bag" + _loc1_]._y > BAG_OFF_BOTTOM_Y)
            {
               _loc2_["bag" + _loc1_]._visible = false;
               nobags--;
               var _loc3_ = 16;
               desired_base_y -= _loc3_;
            }
         }
         _loc1_ = _loc1_ + 1;
      }
   };
   updateflames = function()
   {
      var _loc2_ = _parent;
      var _loc3_ = 24;
      var FLAME_OFF_TOP_Y = 0;
      var START_FLAME_FRAME = 5;
      var MAX_FLAME_FRAME = 8;
      var FLAME_FRAME_TIME = 2;
      var _loc1_ = 0;
      while(_loc1_ < MAX_FLAMES)
      {
         if(_loc2_["flame" + _loc1_]._visible)
         {
            _loc2_["flame" + _loc1_]._y -= _loc3_ * _loc2_.delta;
            _loc2_["flame" + _loc1_].flametime += _loc2_.delta;
            if(_loc2_["flame" + _loc1_]._y < FLAME_OFF_TOP_Y)
            {
               _loc2_["flame" + _loc1_]._visible = false;
            }
            _loc2_["flame" + _loc1_].frametime += _loc2_.delta;
            if(_loc2_["flame" + _loc1_].frametime > FLAME_ANIM_FRAME)
            {
               _loc2_["flame" + _loc1_].frametime -= FLAME_ANIM_FRAME;
               _loc2_["flame" + _loc1_].flameframe = _loc2_["flame" + _loc1_].flameframe + 1;
               if(_loc2_["flame" + _loc1_].flameframe > MAX_FLAME_FRAME)
               {
                  _loc2_["flame" + _loc1_].flameframe > START_FLAME_FRAME;
               }
            }
            _loc2_["flame" + _loc1_].gotoAndStop(_loc2_["flame" + _loc1_].flameframe);
         }
         _loc1_ = _loc1_ + 1;
      }
   };
   throwchewits = function(b, distancescale)
   {
      var _loc1_ = _parent;
      var _loc2_ = b;
      var _loc3_ = distancescale;
      createchewit(_loc1_["bag" + _loc2_]._x,_loc1_["bag" + _loc2_]._y);
      if(Math.random() > 0.1 + 0.69 * _loc3_)
      {
         createchewit(_loc1_["bag" + _loc2_]._x,_loc1_["bag" + _loc2_]._y);
         if(Math.random() > 0.1 + 0.79 * _loc3_)
         {
            createchewit(_loc1_["bag" + _loc2_]._x,_loc1_["bag" + _loc2_]._y);
            if(Math.random() > 0.1 + 0.89 * _loc3_)
            {
               createchewit(_loc1_["bag" + _loc2_]._x,_loc1_["bag" + _loc2_]._y);
            }
         }
      }
   };
   updatebomb = function()
   {
      var _loc1_ = _parent;
      var BOMB_FALL_RATE = 5;
      var BOMB_FLASH_RATE = 2;
      var BOMB_OFF_BOTTOM = 520;
      if(_loc1_.bonusbomb._visible)
      {
         _loc1_.bonusbomb.bombtime += _loc1_.delta;
         var flashtime = _loc1_.bonusbomb.bombtime / BOMB_FLASH_RATE;
         var flashamount = Math.Sin(flashtime) / 2 + 0.5;
         var MAX_ALPHA = 80;
         var MIN_ALPHA = 30;
         _loc1_.bonusbomb._alpha = MIN_ALPHA + (MAX_ALPHA - MIN_ALPHA) * flashamount;
         _loc1_.bonusbomb.startalpha = _loc1_.bonusbomb._alpha;
         var shotbomb = false;
         var f = 0;
         while(f < MAX_FLAMES)
         {
            if(_loc1_["flame" + f]._visible && _loc1_["flame" + f].hittest(_loc1_.bonusbomb))
            {
               shotbomb = true;
            }
            f++;
         }
         if(shotbomb)
         {
            play_bonusbombhitbyfireball_sound();
            _loc1_.bonusbomb._visible = false;
            var f = 0;
            while(f < MAX_FLAMES)
            {
               _loc1_["flame" + f]._visible = false;
               f++;
            }
            var points = getpoints();
            var _loc2_ = 0;
            while(_loc2_ < MAX_CHEWITS)
            {
               if(_loc1_["chewit" + _loc2_]._visible && !_loc1_["chewit" + _loc2_].suckedin)
               {
                  _loc1_["chewit" + _loc2_]._visible = false;
                  _loc1_["chewitscore" + _loc2_].bombshot = true;
                  score += points;
                  addchewitscore(_loc2_,points,0);
               }
               _loc2_ = _loc2_ + 1;
            }
            var _loc3_ = 0;
            while(_loc3_ < MAX_BAGS)
            {
               if(_loc1_["bag" + _loc3_]._visible)
               {
                  throwchewits(_loc3_,-1);
                  _loc1_["bag" + _loc3_]._visible = false;
               }
               _loc3_ = _loc3_ + 1;
            }
            updatescore(score);
         }
         else
         {
            _loc1_.bonusbomb._y += BOMB_FALL_RATE * _loc1_.delta;
            if(_loc1_.bonusbomb._y > BOMB_OFF_BOTTOM)
            {
               _loc1_.bonusbomb._visible = false;
            }
         }
      }
   };
   updatechewits = function()
   {
      var _loc1_ = _parent;
      var CHEWIT_BOUNCE_LEFT = 30;
      var CHEWIT_BOUNCE_RIGHT = 372;
      var CHEWIT_DROP_SPEED = -1.8;
      var CHEWIT_OFF_BOTTOM = 500;
      var _loc3_ = 8;
      var CHEWIT_COMBOSCORE_FADE = 12;
      var CHEWIT_SCORE_DELTA_Y = 70 / _loc3_;
      var _loc2_ = 0;
      while(_loc2_ < MAX_CHEWITS)
      {
         if(_loc1_["chewit" + _loc2_]._visible && !_loc1_["chewit" + _loc2_].suckedin)
         {
            _loc1_["chewit" + _loc2_]._rotation += _loc1_["chewit" + _loc2_].rotaterate * _loc1_.delta;
            _loc1_["chewit" + _loc2_].delta_y += CHEWIT_DROP_SPEED * _loc1_.delta;
            _loc1_["chewit" + _loc2_]._y -= _loc1_["chewit" + _loc2_].delta_y * _loc1_.delta;
            _loc1_["chewit" + _loc2_]._x += _loc1_["chewit" + _loc2_].delta_x * _loc1_.delta;
            if(_loc1_["chewit" + _loc2_]._x < CHEWIT_BOUNCE_LEFT)
            {
               if(_loc1_["chewit" + _loc2_].delta_x < 0)
               {
                  _loc1_["chewit" + _loc2_].delta_x = - _loc1_["chewit" + _loc2_].delta_x;
               }
            }
            if(_loc1_["chewit" + _loc2_]._x > CHEWIT_BOUNCE_RIGHT)
            {
               if(_loc1_["chewit" + _loc2_].delta_x > 0)
               {
                  _loc1_["chewit" + _loc2_].delta_x = - _loc1_["chewit" + _loc2_].delta_x;
               }
            }
            if(_loc1_["chewit" + _loc2_]._y > CHEWIT_OFF_BOTTOM)
            {
               _loc1_["chewit" + _loc2_]._visible = false;
            }
         }
         if(_loc1_["chewitscore" + _loc2_]._visible)
         {
            _loc1_["chewitscore" + _loc2_].scoretime += _loc1_.delta;
            var fadetime = (_loc3_ - _loc1_["chewitscore" + _loc2_].scoretime) / _loc3_;
            if(fadetime < 0)
            {
               _loc1_["chewitscore" + _loc2_]._visible = false;
            }
            else
            {
               var fadetime = _loc1_["chewitscore" + _loc2_].scoretime / _loc3_;
               _loc1_["chewitscore" + _loc2_]._alpha = 100 - easeinfastout(fadetime) * 100;
               _loc1_["chewitscore" + _loc2_].startalpha = _loc1_["chewitscore" + _loc2_]._alpha;
               _loc1_["chewitscore" + _loc2_]._y -= CHEWIT_SCORE_DELTA_Y * _loc1_.delta;
            }
         }
         _loc2_ = _loc2_ + 1;
      }
      if(_loc1_.comboscore._visible)
      {
         _loc1_.comboscore.scoretime += _loc1_.delta;
         var fadetime = (CHEWIT_COMBOSCORE_FADE - _loc1_.comboscore.scoretime) / CHEWIT_COMBOSCORE_FADE;
         if(fadetime < 0)
         {
            _loc1_.comboscore._visible = false;
         }
         else
         {
            var fadetime = _loc1_.comboscore.scoretime / CHEWIT_COMBOSCORE_FADE;
            _loc1_.comboscore._alpha = 100 - easeinfastout(fadetime) * 100;
            _loc1_.comboscore.startalpha = _loc1_.comboscore._alpha;
            _loc1_.comboscore._y -= CHEWIT_SCORE_DELTA_Y * _loc1_.delta;
         }
      }
   };
   createchewit = function(atx, aty)
   {
      var _loc2_ = _parent;
      var CHEWIT_DELTAX_SCALE = 12;
      var CHEWIT_DELTAY_MIN = 10;
      var CHEWIT_DELTAY_MAX = 16;
      var CHEWIT_ROTATE_RATE_MAX = 60;
      if(_loc2_["chewit" + nextchewitno]._visible)
      {
         var _loc1_ = 0;
         while(_loc1_ < MAX_CHEWITS)
         {
            if(!_loc2_["chewit" + _loc1_]._visible)
            {
               nextchewitno = _loc1_;
            }
            _loc1_ = _loc1_ + 1;
         }
      }
      if(!_loc2_["chewit" + nextchewitno]._visible)
      {
         _loc2_["chewit" + nextchewitno]._visible = true;
         _loc2_["chewit" + nextchewitno].suckedin = false;
         _loc2_["chewit" + nextchewitno]._rotation = Math.random() * 100;
         _loc2_["chewit" + nextchewitno]._x = atx;
         _loc2_["chewit" + nextchewitno]._y = aty;
         _loc2_["chewit" + nextchewitno]._xscale = CHEWIT_SCALE;
         _loc2_["chewit" + nextchewitno]._yscale = CHEWIT_SCALE;
         var _loc3_ = (Math.random() - 0.5) / 0.5;
         _loc2_["chewit" + nextchewitno].delta_x = _loc3_ * CHEWIT_DELTAX_SCALE;
         _loc2_["chewit" + nextchewitno].delta_y = CHEWIT_DELTAY_MIN + (CHEWIT_DELTAY_MAX - CHEWIT_DELTAY_MIN) * Math.Random();
         _loc3_ = (Math.random() - 0.5) / 0.5;
         _loc2_["chewit" + nextchewitno].rotaterate = CHEWIT_ROTATE_RATE_MAX * _loc3_;
         nextchewitno++;
         if(nextchewitno >= MAX_CHEWITS)
         {
            nextchewitno = 0;
         }
      }
   };
   playgame = function()
   {
      var _loc1_ = _parent;
      mouse.hide();
      _loc1_.gamestate = GAMESTATE_PLAYING;
      _loc1_.floorsoundplaying = false;
      chewystate = CHEWY_STATE_OK;
      score = 0;
      lives = 3;
      _alpha = 100;
      resettime();
      nobags = 0;
      hitarray = new Array(new Array(0,0),new Array(0,(- CHEWY_HEIGHT) * 0.66),new Array((- CHEWY_WIDTH) * 0.24,(- CHEWY_HEIGHT) * 0.3),new Array(CHEWY_WIDTH * 0.24,(- CHEWY_HEIGHT) * 0.3));
      animations = new Array(new Array(1,10,1,0,1),new Array(11,20,11,0,1),new Array(61,70,61,0,1),new Array(41,50,41,0,1),new Array(51,60,51,0,1),new Array(81,90,81,0,1),new Array(91,100,91,0,1),new Array(24,30,24,0,0),new Array(34,40,34,0,0));
      bonusbombsat = new Array(100,300,500,750,1250,2000,3000,5000,7500,10000,15000,20000,30000,50000,75000,100000,150000,250000,500000,1000000);
      currentbonusbomb = 0;
      chewyfacing = CHEWY_FACING_LEFT;
      nextbagno = 0;
      nextflameno = 0;
      nextchewitno = 0;
      nextbagtime = 0;
      nextflametime = 0;
      _X = SCREEN_WIDTH / 2;
      _Y = chewy_start_y();
      base_y = _Y;
      desired_base_y = base_y;
      lastwalkpos = _X;
      timeinstate = 0;
      setfloorpos();
      var BAG_SCALE = 50;
      _loc1_.floor_mc._visible = true;
      _loc1_.sky_mc._visible = true;
      _loc1_.sky_mc._x = 90;
      _loc1_.sky_mc._y = 10.3;
      var b = 0;
      while(b < MAX_BAGS)
      {
         _loc1_.attachMovie("bagsource" + b % 3,"bag" + b,20 + b);
         _loc1_["bag" + b]._visible = false;
         _loc1_["bag" + b]._xscale = BAG_SCALE;
         _loc1_["bag" + b]._yscale = BAG_SCALE;
         b++;
      }
      var _loc3_ = 0;
      while(_loc3_ < MAX_FLAMES)
      {
         _loc1_.attachMovie("explode","flame" + _loc3_,60 + _loc3_);
         _loc1_["flame" + _loc3_]._visible = false;
         _loc1_["flame" + _loc3_]._xscale = 60;
         _loc1_["flame" + _loc3_]._yscale = 60;
         _loc1_["flame" + _loc3_].flametime = 0;
         _loc1_["flame" + _loc3_].flameframe = 0;
         _loc1_["flame" + _loc3_].frametime = 0;
         _loc3_ = _loc3_ + 1;
      }
      var NO_CHEWIT_TYPES = 12;
      var _loc2_ = 0;
      while(_loc2_ < MAX_CHEWITS)
      {
         var chewitno = _loc2_ % NO_CHEWIT_TYPES;
         _loc1_.attachMovie("chewit" + chewitno,"chewit" + _loc2_,100 + _loc2_);
         _loc1_.createTextField("chewitscore" + _loc2_,100 + _loc2_ + MAX_CHEWITS,0,0,40,40);
         _loc1_["chewitscore" + _loc2_].type = "dynamic";
         _loc1_["chewit" + _loc2_]._visible = false;
         _loc1_["chewitscore" + _loc2_]._visible = false;
         _loc2_ = _loc2_ + 1;
      }
      _loc1_.createTextField("comboscore",101 + MAX_CHEWITS * 2,0,0,80,40);
      _loc1_.comboscore.type = "dynamic";
      _loc1_.comboscore._visible = false;
      _loc1_.comboscore.type = "dynamic";
      _loc1_.attachMovie("lifeicon","life2",42);
      _loc1_.attachMovie("lifeicon","life1",41);
      _loc1_.attachMovie("lifeicon","life0",40);
      _loc1_.attachMovie("bonusbomb","bonusbomb",102 + MAX_CHEWITS * 2);
      _loc1_.bonusbomb._visible = false;
      _loc1_.createTextField("scoretext",43,22,482,150,50);
      _loc1_.createTextField("debugtext",44,168,484,150,50);
      updatescore(score);
      var l = 0;
      while(l < 3)
      {
         _loc1_["life" + l]._x = 352 - l * 30;
         _loc1_["life" + l]._y = 478;
         _loc1_["life" + l]._yscale = 120;
         _loc1_["life" + l]._xscale = 120;
         _loc1_["life" + l]._visible = true;
         l++;
      }
   };
   startgame = function()
   {
      var _loc3_ = _parent;
      hiscores = new Array(new Array("",""),new Array("",""),new Array("",""),new Array("",""),new Array("",""),new Array("",""),new Array("",""),new Array("",""),new Array("",""),new Array("",""));
      _loc3_.serverconnection = new LoadVars();
      _loc3_.serverconnection.onLoad = function(success)
      {
         if(success)
         {
            var _loc1_ = 0;
            while(_loc1_ < 10)
            {
               var _loc3_ = new String(_parent.serverconnection["hi" + _loc1_]);
               var _loc2_ = 0;
               while(_loc3_.charAt(_loc2_) != "-" && _loc2_ < _loc3_.length)
               {
                  _loc2_ = _loc2_ + 1;
               }
               if(_loc2_ < _loc3_.length)
               {
                  var thename = _loc3_.substr(0,_loc2_);
                  var thescore = _loc3_.substr(_loc2_ + 1);
                  hiscores[_loc1_][0] = thename;
                  hiscores[_loc1_][1] = thescore;
                  _parent.hiscorescreen["hiscore" + _loc1_].position.text = _loc1_ + 1 + ".";
                  _parent.hiscorescreen["hiscore" + _loc1_].score.text = thescore;
                  _parent.hiscorescreen["hiscore" + _loc1_].name.text = thename;
               }
               else
               {
                  hiscores[_loc1_][0] = "";
                  hiscores[_loc1_][1] = "";
                  _parent.hiscorescreen["hiscore" + _loc1_].position.text = "";
                  _parent.hiscorescreen["hiscore" + _loc1_].score.text = "";
                  _parent.hiscorescreen["hiscore" + _loc1_].name.text = "";
               }
               _loc1_ = _loc1_ + 1;
            }
            positiontext = Number(_parent.serverconnection.pos) + 1 + ".";
            _parent.hiscorescreen["hiscore-1"].position.text = positiontext;
            myformat1 = _parent.hiscorescreen["hiscore-1"].position.getTextFormat();
            myformat1.color = 65535;
            _parent.hiscorescreen["hiscore-1"].position.embedFonts = true;
            _parent.hiscorescreen["hiscore-1"].position.setTextFormat(myformat1);
            _parent.hiscorescreen["hiscore-1"].position.embedFonts = true;
         }
      };
      _loc3_.gamestate = GAMESTATE_TITLE_SCREEN;
      _loc3_.attachMovie("titlescreen_mc","titlescreen",40);
      _loc3_.titlescreen._x = 0;
      _loc3_.titlescreen._y = -20;
      _loc3_.titlescreen._visible = true;
   };
}
